# $Id: smeserver-htbwshaper-1.0.spec,v 1.2 2013/07/14 21:06:43 unnilennium Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-htbwshaper
%define version 1.0
%define release 15

Summary: Install management web console for HTBwondershaper
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-htbwshaper-1.0-fixdups.patch
Patch2: smeserver-htbwshaper-1.0-locale-2009-03-03.patch
Patch3: smeserver-htbwshaper-1.0-locale-2009-04-27.patch
Patch4: smeserver-htbwshaper-1.0-locale-2009-05-20.patch
Patch5: smeserver-htbwshaper-1.0-locale-2009-08-24.patch
Patch6: smeserver-htbwshaper-1.0-locale-2009-10-27.patch
Patch7: smeserver-htbwshaper-1.0-locale-2010-03-02.patch
Patch8: smeserver-htbwshaper-1.0-locale-2011-03-06.patch
Patch9: smeserver-htbwshaper-1.0-chop.patch
Patch10: smeserver-htbwshaper-1.0-locale-2013-07-14.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-base

%description
SME Server admin interface for HTBwondershaper

%changelog
* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.0-15.sme
- apply locale 2013-07-14 patch

* Wed Sep 12 2012 JP Pialasse <tests@pialasse.com> 1.0-14.sme
- fixed manager configuration error, newline inserted  [SME 7099]

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 1.0-13.sme
- apply locale 2011-03-06 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 1.0-12.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 1.0-11.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 1.0-10.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 1.0-9.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 1.0-8.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Tue Mar 3 2009 Shad L. Lords <slords@mail.com> - 1.0-6
- Fix duplicate translation tags so pootle can import

* Sat Feb 28 2009 Stephen Noble <support@dungog.net> - 1.0-5
- add masq restart [SME 5005]
- bump version numbers to build on contribs

* Sat Feb 28 2009 Stephen Noble <support@dungog.net> - 1.0-2
- rebuild closer to SME standards [SME 5005]

* Thu Feb 05 2009 ASPerience <contact@asperience.fr> [ 0.1.0-ASP_1]
- Release 0.1.0-ASP_1
- create rpm for smeserver-htbwshaper 

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
perl createlinks

mkdir -p root/etc/e-smith/events/local	
ln -s /etc/htbwshaper root/etc/e-smith/events/local/S80htbwshaper

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
%preun
%postun

